Skip to main content
POST
Transcribe a completed audio file

Authorizations

Authorization
string
header
required

Gateway API key (imp-rt-...) from POST /v1/accounts or /v1/keys.

Body

multipart/form-data
model
enum<string>
required
Available options:
openai/gpt-transcribe
file
file
required

Completed audio file accepted by the OpenAI Transcriptions API.

Maximum string length: 26214400
prompt
string

Unstructured context about the recording.

keywords[]
string[]

Literal terms expected in the recording. Repeat this multipart field for multiple terms.

languages[]
string[]

Expected language codes. Repeat this multipart field for multiple languages.

response_format
enum<string>
default:json
Available options:
json,
text
stream
boolean
default:false

Response

A completed transcript object, or transcript events when stream is true.

text
string
required
languages
object[]
required
usage
object

Present when OpenAI reports duration usage.